List Domains
Returns the custom domains added to a project, along with each domain's verification status. Supports filtering by domain name and verification status.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Infrastructure Deployments | read-only | `store_infrastructure_deployments_read_only` |
| Infrastructure Deployments | create preview | `store_infrastructure_deployments_create_preview` |
| Infrastructure Deployments | manage | `store_infrastructure_deployments_manage` |
| Infrastructure Projects | read-only | `store_infrastructure_projects_read_only` |
| Infrastructure Projects | manage | `store_infrastructure_projects_manage` |
| Infrastructure Logs | read-only | `store_infrastructure_logs_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
project_uuid
The UUID of the project whose domains to list.
store_hash
Permanent ID of the BigCommerce store.
Query parameters
domain:in
A comma-separated list of domain names by which to filter. For example, ?domain:in=shop.example.com,www.example.com.
verification_status
Filter domains by verification status.
Allowed values:
Response
The request completed successfully.
data
meta
Empty meta object.
Errors
400
Bad Request Error